ipe::PdfNumber Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Public Member Functions

| PdfNumber (double val)
virtual const PdfNumber * | number () const noexcept
virtual void | write (Stream &stream, const PdfRenumber *renumber, bool inflate) const noexcept
double | value () const noexcept
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const noexcept
virtual const PdfBool * | boolean () const noexcept
virtual const PdfString * | string () const noexcept
virtual const PdfName * | name () const noexcept
virtual const PdfRef * | ref () const noexcept
virtual const PdfArray * | array () const noexcept
virtual const PdfDict * | dict () const noexcept
String | repr () const noexcept

## Detailed Description

The PDF number object.

## Constructor & Destructor Documentation

## PdfNumber()

ipe::PdfNumber::PdfNumber | ( | double | val | ) |

inline explicit

References ipe::PdfObj::number(), and ipe::PdfObj::write().

## Member Function Documentation

## number()

const PdfNumber * PdfNumber::number | ( |  | ) | const

virtual noexcept

Return this object as PDF number object.

Reimplemented from ipe::PdfObj.

## write()

void PdfNumber::write | ( | Stream & | stream,
|  | const PdfRenumber * | renumber,
|  | bool | inflate
| ) |  | const

virtual noexcept

Implements ipe::PdfObj.

## value()

double ipe::PdfNumber::value | ( |  | ) | const

inline noexcept

Referenced by ipe::PdfResources::collect(), ipe::CairoPainter::executeStream(), ipe::PdfDict::getNumber(), ipe::PdfDict::getNumberArray(), ipe::PdfParser::getToken(), ipe::Face::glyphIndex(), and ipe::PdfFile::parseObjectStream().

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp